# Usage
## install FreeTDS for school server in advance
```shell
# install steps for Ubuntu
$ sudo apt-get install wget
$ sudo apt-get install build-essential
$ sudo apt-get install libc6-dev

wget http://www.freetds.org/files/stable/freetds-1.1.24.tar.gz
tar -xzf freetds-1.1.24.tar.gz
cd freetds-1.1.24
./configure --prefix=/usr/local --with-tdsver=7.3
sudo make
sudo make install
```
More infomation please visit [TinyTDS.](https://github.com/rails-sqlserver/tiny_tds)

## do the steps below at the target app directory, not this Orbit module directory(Rails Engine)
* create project\_root/config/initializers/ntnu\_sybase\_config.rb with following content:

```ruby
ENV['USER_NAME'] = 'database user name'
ENV['PASSWORD'] = 'database password'
ENV['NTNU_DB_HOST'] = 'database host'
ENV['NTNU_DB_PORT'] = 'database port'
ENV['TDS_VERSION'] = '5.0'
ENV['DB_NAME'] = 'database name'
ENV['VIEW_RESULT'] = 'database view result'
```
* set cron job to run `bundle exec rake sync_personal_plugins:sync` for nccu everyday
* set cron job to run `bundle exec rake sync_ntnu_personal_plugins:sync` for ntnu everyday