$:.push File.expand_path("lib", __dir__)

# Maintain your gem's version:
require "sync_ntnu_personal_data/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |spec|
  spec.name        = "sync_ntnu_personal_data"
  spec.version     = SyncNtnuPersonalData::VERSION
  spec.authors     = ["Eric Tsai"]
  spec.email       = ["erictyl0722@rulingcom.com"]
  spec.homepage    = "https://w3.rulingcom.com/"
  spec.summary     = "Sync NTNU personal data for teachers"
  spec.description = "Sync NTNU personal data for teachers"
  spec.license     = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files = Dir["{app,config,db,lib}/**/*", "MIT-LICENSE", "Rakefile", "README.md"]

  spec.add_dependency "rails", ">= 4.1.0"
  spec.add_dependency "tiny_tds", "~> 2.1.2"

  spec.add_development_dependency "pry-rails"
end
